/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2004. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BCKGRND                         1
#define  BCKGRND_TEXTMSG                 2

#define  CONFIG                          2
#define  CONFIG_CONTINUE                 2       /* callback function: configMeasurement */
#define  CONFIG_QUIT                     3       /* callback function: launchClose */
#define  CONFIG_DOMAIN                   4       /* callback function: controlHelp */
#define  CONFIG_TRACE_DETECTOR_2         5       /* callback function: controlHelp */
#define  CONFIG_TRACE_DETECTOR_1         6       /* callback function: controlHelp */
#define  CONFIG_TRACE_MODE_2             7       /* callback function: controlHelp */
#define  CONFIG_TRACE_MODE_1             8       /* callback function: controlHelp */

#define  INIT                            3
#define  INIT_CONTINUE                   2       /* callback function: initInstrument */
#define  INIT_CANCEL                     3       /* callback function: Cancel */
#define  INIT_ADDRESS                    4       /* callback function: controlHelp */
#define  INIT_ID                         5       /* callback function: controlHelp */
#define  INIT_RST                        6       /* callback function: controlHelp */

#define  MEAS                            4
#define  MEAS_ABORT_SCAN                 2       /* callback function: launchAbortScan */
#define  MEAS_LAUNCHCONFIG               3       /* callback function: launchConfig */
#define  MEAS_CLOSE                      4       /* callback function: launchClose */
#define  MEAS_GRAPH                      5       /* callback function: controlHelp */
#define  MEAS_TIMER                      6       /* callback function: uploadData */


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK Cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configMeasurement(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK initInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchAbortScan(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchClose(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchConfig(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK uploadData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
